%define sname hashdeep-release

Summary:	Compute MD5 message digests on an arbitrary number of files
Name:		md5deep
Version:	4.4
Release:	%mkrel 4
Group:		File tools
License:	Public Domain and GPLv2+
URL:		http://md5deep.sourceforge.net/
Source0:	https://github.com/jessek/hashdeep/archive/release-%{version}.tar.gz

%description
md5deep is a cross-platform program to compute MD5 message digests
on an arbitrary number of files. The program is known to run on
Windows(tm), Linux, FreeBSD, OS X, Solaris, and should run on most
other platforms. md5deep is similar to the md5sum program found in
the GNU Coreutils package, but has the following additional
features: 

* Recursive operation - md5deep is able to recursive examine an
  entire directory tree. That is, compute the MD5 for every file
  in a directory andf for every file in every subdirectory. 

* Time estimation - md5deep can produce a time estimate when it's
  processing very large files. 

* Comparison mode - md5deep can accept a list of known hashes and
  compare them to a set of input files. The program can display
  either those input files that match the list of known hashes or
  those that do not match. 


%prep
%autosetup -n %{sname}-%{version}

%build
sh bootstrap.sh
%configure2_5x
%make

%install
%makeinstall_std

%files 
%doc ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Tue Feb 02 2016 umeabot <umeabot> 4.4-4.mga6
+ Revision: 931376
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.4-3.mga5
+ Revision: 747141
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.4-2.mga5
+ Revision: 682320
- Mageia 5 Mass Rebuild

  + sander85 <sander85>
    - Convert to %%autosetup

* Wed Jun 04 2014 sander85 <sander85> 4.4-1.mga5
+ Revision: 632998
- New version: 4.4

* Sat Oct 19 2013 umeabot <umeabot> 4.3-2.mga4
+ Revision: 530399
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 dams <dams> 4.3-1.mga4
+ Revision: 457556
- new version 4.3

* Sat Jan 12 2013 umeabot <umeabot> 4.2-2.mga3
+ Revision: 359870
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 22 2012 sander85 <sander85> 4.2-1.mga3
+ Revision: 273452
- new version: 4.2

* Sat Mar 03 2012 sander85 <sander85> 4.1-1.mga2
+ Revision: 217208
- new version: 4.1

* Sat Jan 07 2012 sander85 <sander85> 4.0.0-1.mga2
+ Revision: 192924
- new version: 4.0.0

* Sun Sep 25 2011 sander85 <sander85> 3.9.2-1.mga2
+ Revision: 147657
- new version: 3.9.2

* Tue Jul 12 2011 sander85 <sander85> 3.9.1-1.mga2
+ Revision: 123201
- new version: 3.9.1
- clean spec
- imported package md5deep


* Mon Feb 01 2010 Sandro Cazzaniga <kharec@mandriva.org> 3.5.1-2mdv2010.1
+ Revision: 499134
- Increment release
- Use %%configure2_5x instead of %%configure

* Fri Jan 01 2010 Jérôme Brenier <incubusss@mandriva.org> 3.5.1-1mdv2010.1
+ Revision: 484641
- new version 3.5.1
- use %%configure instead of %%configure2_5x
- finish to remove Patch0

* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 3.1-2mdv2010.0
+ Revision: 439792
- rebuild

* Mon Oct 27 2008 Funda Wang <fwang@mandriva.org> 3.1-1mdv2009.1
+ Revision: 297521
- New version 3.1

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.13-3mdv2009.0
+ Revision: 252177
- rebuild
- fix no-buildroot-tag

* Thu Feb 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdv2008.1
+ Revision: 163682
- update to new version 1.13
- update to new version 1.13

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jul 14 2006 Oden Eriksson <oeriksson@mandriva.com> 1.12-1mdv2007.0
- 1.12
- rediffed P0

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2-3mdk
- rebuild

* Sun May 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2-2mdk
- fix the %%vendor and %%distribution string

* Mon Apr 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2-1mdk
- 1.2
- added P0
- added the sha1deep stuff

